EDIT - task #7811

Import higher classifications
10/08/2018 02:59 PM - Andreas Kohlbecker

Status: Feedback Start date:

Priority: Priority10 Due date:

Assignee: Wolf-Henning Kusber % Done: 90%
Category: data Estimated time: 0:00 hour
Target version: Release 5.5

Severity: minor

Description

The following classifications need to be imported using the import created for #7420

e Frey W. 2015: Syllabus of the plant families. Borntraeger, Stuttgart.
1. spreadsheet preparation: almost ready, data in sheet is being reviewed by henning
2. import: pending
¢ WoRMS World Register of Marine Species. [2018-04-20] http://www.marinespecies.org/index.php
1. spreadsheet preparation: TODO
2. import: TODO

Related issues:

Copied from EDIT - task #7420: Import for higher taxon graph for phycobank Closed
Copied to EDIT - bug #10272: Import WoRMS (and other) higher classifications ... New
History

#1 - 10/08/2018 02:59 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 10

#2 - 10/08/2018 02:59 PM - Andreas Kohlbecker
- Copied from task #7420: Import for higher taxon graph for phycobank added

#3 - 01/08/2019 07:06 PM - Wolf-Henning Kusber
related to #7948

#4 - 01/08/2019 07:22 PM - Wolf-Henning Kusber
- File Algen_Syllabus_Produktion_2019-01-08_Import.xlsx added

- Assignee changed from Wolf-Henning Kusber to Andreas Mdiller

The Excel file is finished for a test import.
May be there are minor issues (duplicates etc.)

The file includes 3404 genus names from 5 references.
Updated file structure documented in https://dev.e-taxonomy.eu/redmine/issues/7948#note-1

Please note that two collumns differ from the first test import.
Collumn A is the PhycoBank-UUID of the used reference.
Collumn J "Stop" includes a hashtag to stop the import within one line (new)

#5 - 01/09/2019 11:55 AM - Andreas Kohlbecker
- Project changed from PhycoBank to EDIT

- Category deleted (Import)

- Status changed from In Progress to Resolved

- Target version deleted (Registry released)

- Severity set to normal
#6 - 01/09/2019 11:56 AM - Andreas Kohlbecker
- Category set to data
- Target version set to Release 5.5

- Severity changed from normal to critical

#7 - 01/25/2019 03:34 PM - Andreas Miiller
- Priority changed from Highest to Priority14

#8 - 02/15/2019 09:23 AM - Andreas Miiller

Also there is a new column subfam. As rank columns are hardcoded in import code all new columns need to be explicitly mentioned before import.

#9 - 02/15/2019 09:28 AM - Andreas Miiller
- Priority changed from Priority14 to Highest

Eolimna exists twice in 03c791d0-2da4-42d0-8bc6-15a2154ad241. Once as direct child of Naviculales (line 754), other time as child of
Naviculales-Sellaphorineae-Sellaphoraceae (line 721)

#10 - 02/15/2019 09:35 AM - Andreas Muller

Ordo of Polypodochrysis in 03c791d0-2da4-42d0-8bc6-15a2154ad241 (Pinguioch r ysidales)
differs from above Ordo (Pinguiochysidales). Seems to be a typo.

#11 - 02/15/2019 10:17 AM - Wolf-Henning Kusber

#9

Eolimna exists twice in 03c791d0-2da4-42d0-8bc6-15a2154ad241.

To be deleted: Once as direct child of Naviculales (line 754)

Correct one: as child of Naviculales-Sellaphorineae-Sellaphoraceae (line 721)

#10

Ordo of Polypodochrysis in 03c791d0-2da4-42d0-8bc6-15a2154ad241 (Pinguioch r ysidales)
differs from above Ordo (Pinguiochysidales). Seems to be a typo.

It's the other way round

Ordo=Pinguiochrysidales (with "r") is the correct one (Line 838)
Typo: Ordo=Pinguiochysidales - It should be Pinguiochrysidales
4x Ordo in lines 834, 835, 836, 837 to be corrected

#12 - 02/15/2019 10:50 AM - Andreas Muiller

Gymnocystodinium exists 2x in 174d5905-9b28-406d-8e15-98958123b4ae: with parent Gymnodiniaceae and child Gymnodinium and with parent
Phytodiniaceae
and child Cystodinium.

#13 - 02/15/2019 10:54 AM - Andreas Miiller
- % Done changed from 10 to 30

Arachnophyllum exists 2x in ae5e4774-9657-4910-812c-937e2ebe5647. Once as child of Delesserioideae, 2nd time as child of Nitophylloideae

#14 - 02/15/2019 11:01 AM - Andreas Muller

Wolf-Henning Kusber wrote:

#9

Eolimna exists twice in 03¢791d0-2da4-42d0-8bc6-15a2154ad241.

To be deleted: Once as direct child of Naviculales (line 754)

Correct one: as child of Naviculales-Sellaphorineae-Sellaphoraceae (line 721)

#10

Ordo of Polypodochrysis in 03c791d0-2da4-42d0-8bc6-15a2154ad241 (Pinguioch r ysidales)
differs from above Ordo (Pinguiochysidales). Seems to be a typo.

It's the other way round

Ordo=Pinguiochrysidales (with "r") is the correct one (Line 838)

Typo: Ordo=Pinguiochysidales - It should be Pinguiochrysidales
4x Ordo in lines 834, 835, 836, 837 to be corrected
| deleted line 754 and updated line 834-837

#15 - 02/15/2019 11:07 AM - Wolf-Henning Kusber

Gymnocystodinium exists 2x in 174d5905-9b28-406d-8e15-98958123b4ae: with parent Gymnodiniaceae and child Gymnodinium and with parent
Phytodiniaceae

and child Cystodinium.

Achtung: Cystodinium and Gymnodinium are not childs of Gymnocystodinium because they are behind the decided stop-sign = #

correct: Gymnocystodinium exists 2x in 174d5905-9b28-406d-8e15-98958123b4ae: with parent Gymnodiniaceae
false: Gymnodinium and with parent Phytodiniaceae = to be deleted

#16 - 02/15/2019 11:13 AM - Wolf-Henning Kusber
- % Done changed from 30 to 10

Arachnophyllum exists 2x in ae5e4774-9657-4910-812c-937e2ebe5647. Once as child of Delesserioideae, 2nd time as child of Nitophylloideae
Correct: Arachnophyllum as child of Nitophylloideae
False: Arachnophyllum as child of Delesserioideae = to be deleted

#17 - 02/15/2019 11:37 AM - Andreas Miiller
- % Done changed from 10 to 30

Navicula exists 2x as accepted taxon in Phycobank, with 2 different authors. During import of 03c791d0-2da4-42d0-8bc6-15a2154ad241 Navicula
Grunow was arbitrarily taken. Please correct in production if not correct.

#18 - 02/15/2019 11:40 AM - Wolf-Henning Kusber
Navicula Grunow is an old import error to be deleted
Navicula Bory is the only right one
#19 - 02/15/2019 12:20 PM - Andreas Miiller
Wolf-Henning Kusber wrote:
Gymnocystodinium exists 2x in 174d5905-9b28-406d-8e15-98958123b4ae: with parent Gymnodiniaceae and child Gymnodinium and with
parent Phytodiniaceae
and child Cystodinium.
Achtung: Cystodinium and Gymnodinium are not childs of Gymnocystodinium because they are behind the decided stop-sign = #
correct: Gymnocystodinium exists 2x in 174d5905-9b28-406d-8e15-98958123b4ae: with parent Gymnodiniaceae

false: Gymnodinium and with parent Phytodiniaceae = to be deleted

| updated the data accordingly
#20 - 02/15/2019 12:21 PM - Andreas Miiller
Wolf-Henning Kusber wrote:
Arachnophyllum exists 2x in ae5e4774-9657-4910-812c-937e2ebe5647. Once as child of Delesserioideae, 2nd time as child of Nitophylloideae

Correct: Arachnophyllum as child of Nitophylloideae
False: Arachnophyllum as child of Delesserioideae = to be deleted

| updated the data accordingly

#21 - 02/15/2019 12:24 PM - Andreas Miiller
Wolf-Henning Kusber wrote:
Navicula Grunow is an old import error to be deleted
Navicula Bory is the only right one

The name itself needs to be deleted? It exists 2x as synonym of Astartiella bahusiensis (Grunow) Witk. and as accepted taxon in the new
classification. If name is to be deleted what is the basionym of Astartiella bahusiensis (Grunow) Witk. then?
#22 - 02/15/2019 12:55 PM - Andreas Miiller

Euastrum exists with 2 authors. Arbitrarily Euastrum Ralfs, Brit. Desmid.: 49, 78. 1848 has been taken for import of
03c791d0-2da4-42d0-8bc6-15a2154ad241. Please check correctnes.

By the way Euastrum Ehrenb. und Euastrum carteri D.B.Will. seem currently to be registered in preparation. Correct? Therefore they have no taxon
relationships yet.

#23 - 02/18/2019 11:42 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 30 to 60

| give this back for review

#24 - 02/18/2019 11:50 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#25 - 12/14/2021 11:25 AM - Andreas Kohlbecker
- Tags set to phycobank

#26 - 02/26/2023 05:47 PM - Wolf-Henning Kusber
- Status changed from Resolved to In Progress

- Priority changed from Highest to Priority10

- % Done changed from 60 to 90

- Severity changed from critical to minor

Reopened for WoRMS and other classifications.

#27 - 03/14/2023 04:33 PM - Andreas Miiller
- Copied to bug #10272: Import WoRMS (and other) higher classifications for Phycobank added

#28 - 03/14/2023 04:38 PM - Andreas Miiller

- Status changed from In Progress to Feedback

Wolf-Henning Kusber wrote in #note-26:

Reopened for WoRMS and other classifications.

So this means that Frey W. 2015 has been imported correctly? If yes we can close this ticket.

| opened a new ticket (#10272) for remaining classifications. Please add additional classificational that are still missing there.

Files

Algen_Syllabus_Produktion_2019-01-08_Import.xIsx 198 KB 01/08/2019 Wolf-Henning Kusber
